bug-automake
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

FYI: trailing backslash on last line (Was: Re: CVS: Requiring CC on C++


From: Alexandre Duret-Lutz
Subject: FYI: trailing backslash on last line (Was: Re: CVS: Requiring CC on C++ sources)
Date: Tue, 25 Feb 2003 18:29:52 +0100
User-agent: Gnus/5.090008 (Oort Gnus v0.08) Emacs/21.2 (i386-pc-linux-gnu)

>>> "Akim" == Akim Demaille <address@hidden> writes:

 Akim> +noinst_LIBRARIES = libcppgen.a
 Akim> +libcppgen_a_SOURCES =                           \
 Akim> +libcppgen.hh                                    \
 Akim> +libcppgen.cc                                    \
 Akim> +cppgen-visitor.hh                               \

 Akim> My problem is the trailing slash.  Because the \ are far on the right,
 Akim> I missed it :(  Automake said nothing about it.  Not even with -Wall.
 Akim> Sorry about the noice.

I'm checking this in, on HEAD and branch-1-7.

2003-02-25  Alexandre Duret-Lutz  <address@hidden>

        * automake.in (read_am_file): Catch trailing backslashes on last line.
        * tests/backsl3.test: New file.
        * tests/Makefile.am (TESTS): Add backsl3.test.
        Reported by Akim Demaille.

Index: automake.in
===================================================================
RCS file: /cvs/automake/automake/automake.in,v
retrieving revision 1.1434
diff -u -r1.1434 automake.in
--- automake.in 11 Feb 2003 19:32:36 -0000      1.1434
+++ automake.in 25 Feb 2003 17:23:46 -0000
@@ -7625,6 +7625,9 @@
 
     $output_trailer .= $comment;
 
+    error ($where, "trailing backslash on last line")
+      if $saw_bk;
+
     error ($where, (@cond_stack ? "unterminated conditionals: @cond_stack"
                    : "too many conditionals closed in include file"))
       if "@saved_cond_stack" ne "@cond_stack";
Index: tests/Makefile.am
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.am,v
retrieving revision 1.472
diff -u -r1.472 Makefile.am
--- tests/Makefile.am   24 Feb 2003 22:09:21 -0000      1.472
+++ tests/Makefile.am   25 Feb 2003 17:23:46 -0000
@@ -40,6 +40,7 @@
 auxdir2.test \
 backsl.test \
 backsl2.test \
+backsl3.test \
 badline.test \
 badprog.test \
 block.test \
Index: tests/backsl3.test
===================================================================
RCS file: tests/backsl3.test
diff -N tests/backsl3.test
--- /dev/null   1 Jan 1970 00:00:00 -0000
+++ tests/backsl3.test  25 Feb 2003 17:23:46 -0000
@@ -0,0 +1,35 @@
+#! /bin/sh
+# Copyright (C) 2003  Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Automake; see the file COPYING.  If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+# Make sure we diagnose trailing backslash at the end of a file.
+# Report from Akim Demaile <address@hidden>
+
+. ./defs || exit 1
+
+set -e
+
+cat > Makefile.am << 'END'
+foo = \
+END
+
+$ACLOCAL
+$AUTOMAKE 2>stderr && exit 1
+cat stderr
+grep 'trailing backslash' stderr

-- 
Alexandre Duret-Lutz





reply via email to

[Prev in Thread] Current Thread [Next in Thread]